import { select, arc} from 'd3';

const svg = select('svg');

const width = +svg.attr('width') - 30;
const height = +svg.attr('height') - 50;

const g = svg.append('g')
	.attr('transform', `translate(${width / 2},${height / 2})`);

const eyeSpacing = 100;
const eyeYOffset = -70;
const eyeRadius = 30;
const eyebrowHeight = 15;
const eyebrowWidth = 70;
const eyebrowYOffset = -70;
const eyeballRadius = 22;
const lashWidth = 5;
const lashHeight = 22;


const circle = g.append('circle')
    .attr('r',height / 2)
	.attr('fill', '#FFB3A7')
	.attr('stroke', 'black');

const eyesG = g.append('g')
	.attr('transform', `translate(0,${eyeYOffset})`);

const leftEye = eyesG
	.append('circle')
      .attr('r', eyeRadius)
	  .attr('cx',- eyeSpacing)
	  .attr('fill', 'white');

const leftEyeball = eyesG
	.append('circle')
      .attr('r', eyeballRadius)
	  .attr('cx',- eyeSpacing)
	  .attr('fill', '#F62459');

const rightEye = eyesG
	.append('circle')
      .attr('r', eyeRadius)
	  .attr('cx',eyeSpacing)
	  .attr('fill', 'white');

const rightEyeball = eyesG
	.append('circle')
      .attr('r', eyeballRadius)
	  .attr('cx',eyeSpacing)
	  .attr('fill', '#F62459');
  
const eyebrowsG = eyesG
	.append('g')
	  .attr('transform', `translate(0,${eyebrowYOffset})`);

eyebrowsG
	.transition().duration(2000)
	  .attr('transform', `translate(0,${eyebrowYOffset - 50})`)
	.transition().duration(2000)
	  .attr('transform', `translate(0,${eyebrowYOffset})`);

const leftEyebrow = eyebrowsG
	.append('rect')
	  .attr('x', -eyeSpacing - eyebrowWidth / 2)
	  .attr('width', eyebrowWidth)
	  .attr('height', eyebrowHeight)
	  .attr('fill', '#0be000');

const RightEyebrow = eyebrowsG
	.append('rect')
	  .attr('x', +eyeSpacing - eyebrowWidth / 2)
	  .attr('width', eyebrowWidth)
	  .attr('height', eyebrowHeight)
	  .attr('fill', '#0be000');

const mouth = g
	.append('path')
	  .attr('fill', '#C93756')
	  .attr('d',arc()({ 
        innerRadius: 120,
        outerRadius: 160,
        startAngle: Math.PI / 1.4,
        endAngle: Math.PI * 3/2.3       
    }));

const Llashmid = g
	.append('rect')
	  .attr('y', -121)
	  .attr('x', -105)
	  .attr('width', lashWidth)
	  .attr('height', lashHeight);

const Llashleft = g
	.append('rect')
	  .attr('y', -115)
	  .attr('x', -122)
	  .attr('width', lashWidth)
	  .attr('height', lashHeight);

const Llashright = g
	.append('rect')
	  .attr('y', -117)
	  .attr('x', -88)
	  .attr('width', lashWidth)
	  .attr('height', lashHeight);

const Rlashmid = g
	.append('rect')
	  .attr('y', -121)
	  .attr('x', 99)
	  .attr('width', lashWidth)
	  .attr('height', lashHeight);

const Rlashleft = g
	.append('rect')
	  .attr('y', -117)
	  .attr('x', 81)
	  .attr('width', lashWidth)
	  .attr('height', lashHeight);

const Rlashright = g
	.append('rect')
	  .attr('y', -117)
	  .attr('x', 114)
	  .attr('width', lashWidth)
	  .attr('height', lashHeight);


const nose = g
	.append('path')
	  .attr('fill', '#DB5A6B')
	  .attr('d',arc()({ 
        innerRadius: 25,
        outerRadius: 40,
        startAngle: - Math.PI / 2,
        endAngle: Math.PI /2       
    }));


